DRM_EDID_TO_SPEAKER_(9)

NAME
drm_edid_to_speaker_allocation - extracts Speaker Allocation Data Blocks from EDID

SYNOPSIS

int drm_edid_to_speaker_allocation(struct edid * edid, u8 ** sadb);

ARGUMENTS

edid
    EDID to parse

sadb
    pointer to the speaker block

DESCRIPTION

Looks for CEA EDID block and extracts the Speaker Allocation Data Block from it.

NOTE

The returned pointer needs to be freed using kfree.

RETURN

The number of found Speaker Allocation Blocks or negative number on error.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT